package demo.mapi.ccv.eu.mapi_demo.activities;

import android.os.Bundle;
import android.view.SurfaceView;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import demo.mapi.ccv.eu.mapi_demo.R;
import eu.ccvlab.mapi.hardware.PaxService;

public class RebootActivity extends AppCompatActivity {
    SurfaceView surfaceView;

    private PaxService paxService;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.barcodescanner_activity);
        surfaceView = findViewById(R.id.view_finder);
    }

    @Override
    protected void onStart() {
        super.onStart();
        doReboot();
    }

    private void doReboot() {
        paxService = new PaxService();
        paxService.reboot(this);
    }
}
